#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m,i;
    scanf("%i",&n);
    scanf("%i",&m);
    int a[n],b[n],c[m],d[m];
    for(i=0;i<n;i++)
    {
        scanf("%i",&a[i]);
        scanf("%i",&b[i]);
    }
    for(i=0;i<m;i++)
    {
        scanf("%i",&c[i]);
        scanf("%i",&d[i]);
    }
    printf("%i\n",b[0]);
    int k=0,pom=b[0];
    i=0;
    int pop[n];
    while ((pom>0)&&(i<m))
    {
        if(pom>d[i])
        {
            pom=pom-d[i];
            pop[i]=d[i];
        }
        else
        {
            pop[i]=pom;
            pom=0;
        }
        k++;
        i++;
    }
    printf("%i\n",k);
    for(i=0;i<k;i++)
    {
        printf("0 %i %i\n",i,pop[i]);
    }
}